Filtering on Username on Special:Nuke does not work
Closed, ResolvedPublic

Description

Steps to Reproduce:

  1. I go to https://pl.wikipedia.org/wiki/Specjalna:Masowe_usuwanie with Firefox 51.0.1
  2. I am loged in.
  3. In box "Podaj nazwę użytkownika, adres IP lub pozostaw puste pole" I took an user name.
  4. I click "Dalej" button.

Actual Results:
There are a lot of editions don't match selected user name. The filter don't work.

Expected Results:
The list of editions of selected user only.

PawelMM created this task.Feb 1 2017, 6:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2017, 6:50 PM
Aklapper changed the title from "Filter in the [https://pl.wikipedia.org/wiki/Specjalna:Masowe_usuwanie] don't work correctly." to "Filtering on Username on Special:Nuke does not work".Feb 3 2017, 12:44 PM

Hi @PawelMM, thanks for taking the time to report this! I can confirm this on mediawiki.org.
("Podaj nazwę użytkownika, adres IP lub pozostaw puste pole" = "Username, IP address or blank")

Change 337039 had a related patch set uploaded (by Ladsgroup):
Update callers to convey OOUI

https://gerrit.wikimedia.org/r/337039

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptFeb 10 2017, 4:12 PM

It was my fault. Sorry.

Change 337039 merged by jenkins-bot:
Update callers to conform with OOUI

https://gerrit.wikimedia.org/r/337039

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Feb 10 2017, 4:37 PM

Change 337076 had a related patch set uploaded (by Ladsgroup):
Update callers to conform with OOUI

https://gerrit.wikimedia.org/r/337076

Change 337076 merged by jenkins-bot:
Update callers to conform with OOUI

https://gerrit.wikimedia.org/r/337076

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-02-10T21:02:58Z] <Amir1> ladsgroup@tin:/srv/mediawiki-staging$ scap sync-file php-1.29.0-wmf.11/extensions/Nuke/Nuke_body.php '[[gerrit:337076]] Fixing Special:Nuke (T156112, T156949, T156314)'

Mentioned in SAL (#wikimedia-operations) [2017-02-10T21:03:05Z] <ladsgroup@tin> Synchronized php-1.29.0-wmf.11/extensions/Nuke/Nuke_body.php: [[gerrit:337076]] Fixing Special:Nuke (T156112, T156949, T156314) (duration: 00m 58s)

Ladsgroup closed this task as "Resolved".Feb 10 2017, 9:06 PM